Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSSourceElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSSourceElement

All Implemented Interfaces:
  XDSElement

public class XDSSourceElement
extends ElementImpl

A `<source>` element.

See Also:
  `ReadableDocument.extractSourceElement()`, `WriteableDocument.appendSourceElement()`

Method Summary
`XDSContactElement` | `appendContactElement(String someText)` Appends a child `<contact>` element to this element.
`XDSProductElement` | `appendProductElement()` Appends an empty, child `<product>` element to this element.
`XDSContactElement` | `extractContactElement()` Returns this element's child `<contact>` element.
`String` | `extractContactText()` Returns the concatenated child text nodes from this element's child `<contact>` element.
`XDSProductElement` | `extractProductElement()` Returns this element's child `<product>` element.
`String` | `extractProductText()` Returns the concatenated child text nodes from this element's child `<product>` element.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### extractProductElement

    public XDSProductElement extractProductElement()

  Returns this element's child `<product>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractProductText

    public String extractProductText()

  Returns the concatenated child text nodes from this element's child `<product>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### extractContactElement

    public XDSContactElement extractContactElement()

  Returns this element's child `<contact>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractContactText

    public String extractContactText()

  Returns the concatenated child text nodes from this element's child `<contact>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### appendProductElement

    public XDSProductElement appendProductElement()

  Appends an empty, child `<product>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendContactElement

    public XDSContactElement appendContactElement(String someText)

  Appends a child `<contact>` element to this element. The `<contact>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - the association value; if `null` or `""`, an empty, child `<contact>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD